curl --request PATCH \
--url https://api.treasuryprime.com/reserve/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "0.00"
}
'import requests
url = "https://api.treasuryprime.com/reserve/{id}"
payload = { "amount": "0.00" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '0.00'})
};
fetch('https://api.treasuryprime.com/reserve/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "acct_1234567890",
"amount": "0.00",
"id": "reserve_1029384756",
"reserve_account_id": "acct_0987654321",
"upper_limit": "100.00",
"userdata": null
}Update a Reserve Account
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Body
The reserve to update
ID of the target Account that has an added reserve limit. Filterable.
Amount that account_id is currently overdrawn
^-?[0-9]+[.][0-9][0-9]$Optional data for the bank
ID of the Account that holds the reserve. Filterable.
Max amount that account_id may be overdrawn in total
^-?[0-9]+[.][0-9][0-9]$Arbitrary user data that can be attached to the object
Response
The reserve updated
ID of the target Account that has an added reserve limit. Filterable.
Amount that account_id is currently overdrawn
^-?[0-9]+[.][0-9][0-9]$Optional data for the bank
Unique identifier for object
ID of the Account that holds the reserve. Filterable.
Max amount that account_id may be overdrawn in total
^-?[0-9]+[.][0-9][0-9]$Arbitrary user data that can be attached to the object
Was this page helpful?